---
title: Token information
slug: reference/token-information
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "WXqMdc0-0Tsl2DepXFHGT",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/token-info",
    "servers": [
      {
        "url": "https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/token-info"
      }
    ],
    "name": "Token information",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "token",
          "type": "string",
          "example": "ftr1d8a56cfa6b3745a39e4a42d5ab1048c8",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "tokenAliasKey",
          "type": "string",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "tokenAliasValue",
          "type": "string",
          "example": "ftr1d8a56cfa6b3745a39e4a42d5ab1048c8",
          "description": ""
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "http",
          "name": "http",
          "kind": "optional",
          "type": "http",
          "description": "<p>site_id</p><div></div><p></p>",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Default Response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "TokenInfo",
            "schema": [
              {
                "name": "card",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/NonPciRichCardInfo",
                "customType": "NonPciRichCardInfo",
                "schema": [],
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "NonPciBasicCardInfo",
                    "description": "",
                    "modelRef": "#/components/schemas/NonPciBasicCardInfo",
                    "schema": [
                      {
                        "name": "bin",
                        "kind": "required",
                        "type": "string",
                        "description": "",
                        "minLength": 6,
                        "maxLength": 8
                      },
                      {
                        "name": "lastFourDigits",
                        "kind": "required",
                        "type": "string",
                        "description": "",
                        "minLength": 4,
                        "maxLength": 4
                      },
                      {
                        "name": "cardBrand",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "expirationMonth",
                        "kind": "required",
                        "type": "integer",
                        "description": "",
                        "minimum": 1,
                        "maximum": 12
                      },
                      {
                        "name": "expirationYear",
                        "kind": "required",
                        "type": "integer",
                        "description": "",
                        "minimum": 2000,
                        "maximum": 2125
                      }
                    ]
                  },
                  {
                    "name": "object",
                    "description": "",
                    "schema": [
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "complexType": "anyOf",
                        "complexItems": [],
                        "schema": []
                      },
                      {
                        "name": "category",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "complexType": "anyOf",
                        "complexItems": [],
                        "schema": []
                      },
                      {
                        "name": "country",
                        "kind": "optional",
                        "type": "string",
                        "description": "<p>2 letter ISO 3166-1 alpha-2 country code</p>"
                      },
                      {
                        "name": "issuer",
                        "kind": "optional",
                        "type": "string",
                        "description": "The issuer of the card"
                      },
                      {
                        "name": "cardNumberRemoved",
                        "kind": "optional",
                        "type": "boolean",
                        "description": ""
                      },
                      {
                        "name": "art",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/CardArtwork",
                        "customType": "CardArtwork",
                        "schema": [
                          {
                            "name": "mimeType",
                            "kind": "required",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "encodedData",
                            "kind": "required",
                            "type": "string",
                            "description": ""
                          }
                        ]
                      }
                    ]
                  }
                ]
              },
              {
                "name": "networkToken",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "token",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "state",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "complexType": "anyOf",
                    "complexItems": [],
                    "schema": []
                  },
                  {
                    "name": "expirationMonth",
                    "kind": "required",
                    "type": "integer",
                    "description": "",
                    "minimum": 1,
                    "maximum": 12
                  },
                  {
                    "name": "expirationYear",
                    "kind": "required",
                    "type": "integer",
                    "description": "",
                    "minimum": 2000,
                    "maximum": 2125
                  },
                  {
                    "name": "paymentAccountReference",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "complexType": "anyOf",
                    "complexItems": [],
                    "schema": []
                  }
                ]
              },
              {
                "name": "customerId",
                "kind": "optional",
                "type": "object",
                "description": "",
                "complexType": "anyOf",
                "complexItems": [],
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/TokenInfo",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Default Response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "TokenizationErrorResponse",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/TokenizationErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "CxCuqvT9gRruFCK0e13OI",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/token-info \\\n     --header 'accept: application/json'"
        },
        {
          "id": "wDzDGxAdR1HM6RxFEr-l-",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/token-info\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Exf9ythflNV5Zk_xh5lQs",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/token-info\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "VEc8sHzp9H_a3X1v82uqE",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/token-info\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "CxCuqvT9gRruFCK0e13OI"
    },
    "results": {
      "languages": [
        {
          "id": "KpkliWTZ-4fl34yDSdCoC",
          "language": "200",
          "code": "// Default Response\n{\n  \"card\": {},\n  \"networkToken\": {\n    \"token\": \"\",\n    \"state\": {},\n    \"expirationMonth\": 0,\n    \"expirationYear\": 0,\n    \"paymentAccountReference\": {}\n  },\n  \"customerId\": {}\n}"
        },
        {
          "id": "t6ZAllhO_l-EpZwZm5MzO",
          "language": "400",
          "code": "// Default Response\n{\n  \"message\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "KpkliWTZ-4fl34yDSdCoC"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}